For the complete documentation index, see llms.txt. This page is also available as Markdown.

After Payment

Post-payment management APIs

Check Payment Status

get
/pg/payment/card/check/{orderId}

Check the status of a payment transaction

Authorizations
AuthorizationstringRequired

Basic authentication using Merchant ID and Merchant Key

Path parameters
orderIdstringRequired

Order ID to check status

Responses
200

Payment status retrieved

application/json
responseCodestringOptional

Response code

Example: 2000000
responseMessagestringOptional

Response message

Example: Success
processingTimenumberOptional

Processing time in seconds

Example: 0.9721949100494385
get/pg/payment/card/check/{orderId}
GET /pg/payment/card/check/{orderId} HTTP/1.1
Host: devo.finnet.co.id
Authorization: Basic username:password
Accept: */*
200

Payment status retrieved

{
  "responseCode": "2000000",
  "responseMessage": "Success",
  "processingTime": 0.9721949100494385,
  "data": {
    "customer": {
      "id": "hajar.finnet@gmail.com",
      "email": "hajar.finnet@gmail.com",
      "firstName": "Hajar",
      "lastName": "Ismail",
      "mobilePhone": "+6281286288844"
    },
    "order": {
      "id": "1680576995412",
      "amount": "1000",
      "currency": "IDR",
      "description": "Testing",
      "item": [
        {
          "name": "name",
          "quantity": "1",
          "category": "apa",
          "description": "apalah",
          "unitPrice": "100"
        }
      ]
    },
    "card": {
      "mask": "512345xxxxxx0008",
      "info": {
        "brand": "MASTERCARD",
        "issuing": "BANCO DEL PICHINCHA CA",
        "type": "CREDIT",
        "subType": "STANDARD",
        "country": "ECUADOR"
      }
    },
    "meta": {
      "data": null
    },
    "result": {
      "payment": {
        "amount": 1000,
        "status": "CAPTURED",
        "statusDesc": null
      }
    }
  }
}

Refund Payment

post
/pg/payment/card/refund

Refund a payment transaction

Authorizations
AuthorizationstringRequired

Basic authentication using Merchant ID and Merchant Key

Body
Responses
200

Payment refunded successfully

application/json
responseCodestringOptional

Response code

Example: 2000000
responseMessagestringOptional

Response message

Example: Success
processingTimenumberOptional

Processing time in seconds

Example: 0.9721949100494385
post/pg/payment/card/refund
POST /pg/payment/card/refund HTTP/1.1
Host: devo.finnet.co.id
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 49

{
  "order": {
    "id": "1662467391226",
    "amount": "99000"
  }
}
200

Payment refunded successfully

{
  "responseCode": "2000000",
  "responseMessage": "Success",
  "processingTime": 0.9721949100494385
}

Void Payment

post
/pg/payment/card/void

Void a payment transaction

Authorizations
AuthorizationstringRequired

Basic authentication using Merchant ID and Merchant Key

Body
Responses
200

Payment voided successfully

application/json
responseCodestringOptional

Response code

Example: 2000000
responseMessagestringOptional

Response message

Example: Success
processingTimenumberOptional

Processing time in seconds

Example: 0.9721949100494385
post/pg/payment/card/void
POST /pg/payment/card/void HTTP/1.1
Host: devo.finnet.co.id
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 49

{
  "order": {
    "id": "1662467391226",
    "amount": "99000"
  }
}
200

Payment voided successfully

{
  "responseCode": "2000000",
  "responseMessage": "Success",
  "processingTime": 0.9721949100494385
}

Cancel Order

get
/pg/payment/card/cancel/{orderId}

Cancel a pending order

Authorizations
AuthorizationstringRequired

Basic authentication using Merchant ID and Merchant Key

Path parameters
orderIdstringRequired

Order ID to cancel

Responses
200

Order cancelled successfully

application/json
responseCodestringOptional

Response code

Example: 2000000
responseMessagestringOptional

Response message

Example: Success
processingTimenumberOptional

Processing time in seconds

Example: 0.9721949100494385
get/pg/payment/card/cancel/{orderId}
GET /pg/payment/card/cancel/{orderId} HTTP/1.1
Host: devo.finnet.co.id
Authorization: Basic username:password
Accept: */*
200

Order cancelled successfully

{
  "responseCode": "2000000",
  "responseMessage": "Success",
  "processingTime": 0.9721949100494385
}

Last updated